Create Credential
Create a new Credential Instance
The Credential Instance information
Show optional properties
{
"adapterKindKey": "string",
"credentialKindKey": "string",
"name": "string"
}
"{\n \"name\" : \"My VC Credential\",\n \"adapterKindKey\" : \"VMWARE\",\n \"credentialKindKey\" : \"PRINCIPALCREDENTIAL\",\n \"fields\" : [ {\n \"name\" : \"USER\",\n \"value\" : \"root\"\n }, {\n \"name\" : \"PASSWORD\"\n } ]\n}"
The Adapter Kind key of the Credential
The credential kind of the credential
Is credential editable or not
Collection of name,value pairs that capture the credential specific data
Credential Instance identifier.
This should be null for credential instance creation requests and must have a value for all other requests.
The name of the Credential
The Credential Instance created
"{\n \"id\" : \"c0fe87f3-86db-436e-b688-0bb87dcac1fb\",\n \"name\" : \"My VC Credential\",\n \"adapterKindKey\" : \"VMWARE\",\n \"credentialKindKey\" : \"PRINCIPALCREDENTIAL\",\n \"fields\" : [ {\n \"name\" : \"USER\",\n \"value\" : \"root\"\n }, {\n \"name\" : \"PASSWORD\"\n } ]\n}"
The Adapter Kind key of the Credential
The credential kind of the credential
Is credential editable or not
Collection of name,value pairs that capture the credential specific data
Credential Instance identifier.
This should be null for credential instance creation requests and must have a value for all other requests.
The name of the Credential
Invalid request parameters or request body
Credential Instance with same name already exists
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"adapterKindKey":"string","credentialKindKey":"string","name":"string"}' https://{api_host}/suite-api/api/credentials